Skip to main content
GET
/
instruments
/
{symbol}
/
health
Get financial health
curl --request GET \
  --url https://api.halal.sh/v1/instruments/{symbol}/health \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "symbol": "NVDA",
    "name": "NVIDIA Corporation",
    "health_status": "antifragile",
    "updated_at": "2023-11-07T05:31:56Z",
    "ratios": {
      "current_ratio": {
        "value": 4.17,
        "status": "fragile",
        "description": "Current assets / current liabilities"
      },
      "debt_to_assets": {
        "value": 4.17,
        "status": "fragile",
        "description": "Current assets / current liabilities"
      },
      "cash_flow_to_debt": {
        "value": 4.17,
        "status": "fragile",
        "description": "Current assets / current liabilities"
      },
      "interest_coverage": {
        "value": 4.17,
        "status": "fragile",
        "description": "Current assets / current liabilities"
      },
      "altman_z_score": {
        "value": 4.17,
        "status": "fragile",
        "description": "Current assets / current liabilities"
      }
    }
  },
  "meta": {
    "request_id": "req_abc123",
    "methodology": "aaoifi-ss21@2024",
    "as_of": "2026-03-08T12:00:00Z",
    "retry_after": 120
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

symbol
string
required

Stock ticker symbol (e.g., AAPL, NVDA, MSFT).

Required string length: 1 - 10
Example:

"NVDA"

Response

Health analysis

data
object
meta
object